Bug 57129 - "/etc/init.d/ypserv reload" doesn't work
"/etc/init.d/ypserv reload" doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-05 10:31 EST by Joe Krahn
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-05 10:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2001-12-05 10:31:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
"/etc/init.d/ypserv reload" calls the function restart()
which doesn't exist.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/ypserv reload
2.
3.
	

Actual Results:  /etc/init.d/ypserv: restart: command not found


Additional info:

The same error exists in the junkbuster init script.
I didn't see it in any others. While your at it, I have
a suggestion. When a service isn't already running,
reload requests should probably be should not start
the service, but perhaps exit with a non-zero return.
This would be more consistent with services that really do
have a reload (like killall -HUP). This could be useful,
e.g. for a script that updates a config file on several
systems which may not all be running the service.

Example fix for ypserv:
*** ypserv.old  Tue Aug 28 01:35:51 2001
--- ypserv      Wed Dec  5 10:21:22 2001
***************
*** 61,71 ****
        status ypserv
        ;;
!   restart)
        stop
        start
        ;;
-   reload)
-         restart
-         ;;
    condrestart)
        if [ -f /var/lock/subsys/ypserv ]; then
--- 61,68 ----
        status ypserv
        ;;
!   restart|reload)
        stop
        start
        ;;
    condrestart)
        if [ -f /var/lock/subsys/ypserv ]; then
Comment 1 Florian La Roche 2001-12-08 16:04:39 EST
Fixed in ypserv-2.2-2 or higher.

Thanks for this bug-report,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.